Не запускается платформа 1С 8.3

acp1dmn

New member
Сообщения
3
#1
Здравствуйте, уважаемые участники форума!
В рамках импортозамещения как госучреждение переходим на Астру - Смоленск и Орел. Смоленск спокойно крутится, выполняя роль некоторых серверов; Орла же готовим на клиентские машины. Столкнулись с проблемой, а именно - не запускается 1С платформа 8.3.
Фишка какая - после запуска любого клиента всплывает начальное окно с предупреждением, что информационных баз нет, создать новую? Да/Нет. После того или иного выбора окно закрывается и все, больше ничего не происходит.
Через запуск в консоли - ошибка на файл gtk.css - нашел, поправил - margin был без указания единиц. Ошибка пропала, но программа все также не запускается.
В логах ничего не нашел..
Подксажите, куда ткнуть?
Версия 1С самая последняя 8.3.15.1565, тестировали ее на Дебиане, Альте.. Подозреваю, что проблема во Fly окружении... Но как ее выловить?

Заранее благодарен!

1.jpg 2.jpg 3.jpg
 

Olej

New member
Сообщения
1 211
#2
тестировали ее на Дебиане, Альте.. Подозреваю, что проблема во Fly окружении...
Подозреваю (только IMHO, с 1С не дружу - Бог миловал ;)), что дело не в дистрибутиве и не в DE непосредственно, а в том, что Fly построен на библиотеках Qt, а ваши сообщения сыпятся из библиотек GTK+ (см. картинки), на который построены те DE, которые в использовали в "Дебиане, Альте".

1. С какими графическими окружениями (DE) вы тестировали в Дебиане, Альте?
2. У вас определённо не хватает что-то из библиотек GTK+
3. Поскольку это у вас Орёл, то принципиально это не проблема - можно всё что угодно из дистрибутива Debian доставить.
А технически проблема в том, что их там, таких библиотек, в принципе, очень много:
Код:
olej@astra:~$ aptitude search gtk | grep lib | wc -l
571
 

Olej

New member
Сообщения
1 211
#3
1. "Пожертвуйте" одним Орлом ;)
- подключите ему репозиторий Debian (хотите - Mint или Ubuntu) ... как это - обсуждалось здесь на форуме не раз...
- установите (apt) любое графическое окружение: Cinnamon, Mate, Xfce, LXDE, ...
- наслаждайтесь 1С
(от этого и ваш Орёл не сильно пострадает, только раздуется в размерах слегка)

2. Если сильно хотите узнать точные имена используемых библиотек, то для этого есть команда ldd:
- найдите исполнимый файл программы (бинарный, ELF, не скрипт запускающий и не ссылку) ... вот на примере программы geany (первое что под руку попалось):
Код:
olej@ACER:~$ which geany
/usr/bin/geany
olej@ACER:~$ file /usr/bin/geany
/usr/bin/geany: ELF 64-bit LSB pie executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 3.2.0, BuildID[sha1]=0a78fc2d7fb0f5b4eb93623410b111ffb6b8e255, stripped
- и получите список используемых программой DLL библиотек (и где они находятся):
Код:
olej@ACER:~$ ldd /usr/bin/geany
    linux-vdso.so.1 (0x00007ffc7875a000)
    libgeany.so.0 => /lib/x86_64-linux-gnu/libgeany.so.0 (0x00007f914b325000)
    libgtk-3.so.0 => /lib/x86_64-linux-gnu/libgtk-3.so.0 (0x00007f914ac34000)
    libgdk-3.so.0 => /lib/x86_64-linux-gnu/libgdk-3.so.0 (0x00007f914ab38000)
    libpangocairo-1.0.so.0 => /lib/x86_64-linux-gnu/libpangocairo-1.0.so.0 (0x00007f914ab28000)
    libpango-1.0.so.0 => /lib/x86_64-linux-gnu/libpango-1.0.so.0 (0x00007f914aadd000)
    libfribidi.so.0 => /lib/x86_64-linux-gnu/libfribidi.so.0 (0x00007f914aac0000)
    libatk-1.0.so.0 => /lib/x86_64-linux-gnu/libatk-1.0.so.0 (0x00007f914aa95000)
    libcairo-gobject.so.2 => /lib/x86_64-linux-gnu/libcairo-gobject.so.2 (0x00007f914aa89000)
    libcairo.so.2 => /lib/x86_64-linux-gnu/libcairo.so.2 (0x00007f914a969000)
    libgdk_pixbuf-2.0.so.0 => /lib/x86_64-linux-gnu/libgdk_pixbuf-2.0.so.0 (0x00007f914a943000)
    libgio-2.0.so.0 => /lib/x86_64-linux-gnu/libgio-2.0.so.0 (0x00007f914a785000)
    libgobject-2.0.so.0 => /lib/x86_64-linux-gnu/libgobject-2.0.so.0 (0x00007f914a730000)
    libgmodule-2.0.so.0 => /lib/x86_64-linux-gnu/libgmodule-2.0.so.0 (0x00007f914a728000)
    libgthread-2.0.so.0 => /lib/x86_64-linux-gnu/libgthread-2.0.so.0 (0x00007f914a723000)
    libglib-2.0.so.0 => /lib/x86_64-linux-gnu/libglib-2.0.so.0 (0x00007f914a604000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f914a5e3000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f914a422000)
    libstdc++.so.6 => /lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f914a29e000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f914a119000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f914a0ff000)
    libX11.so.6 => /lib/x86_64-linux-gnu/libX11.so.6 (0x00007f9149fbe000)
    libXi.so.6 => /lib/x86_64-linux-gnu/libXi.so.6 (0x00007f9149dae000)
    libXcomposite.so.1 => /lib/x86_64-linux-gnu/libXcomposite.so.1 (0x00007f9149bab000)
    libXdamage.so.1 => /lib/x86_64-linux-gnu/libXdamage.so.1 (0x00007f9149ba6000)
    libXfixes.so.3 => /lib/x86_64-linux-gnu/libXfixes.so.3 (0x00007f914999e000)
    libatk-bridge-2.0.so.0 => /lib/x86_64-linux-gnu/libatk-bridge-2.0.so.0 (0x00007f9149969000)
    libxkbcommon.so.0 => /lib/x86_64-linux-gnu/libxkbcommon.so.0 (0x00007f9149927000)
    libwayland-cursor.so.0 => /lib/x86_64-linux-gnu/libwayland-cursor.so.0 (0x00007f914991d000)
    libwayland-egl.so.1 => /lib/x86_64-linux-gnu/libwayland-egl.so.1 (0x00007f9149918000)
    libwayland-client.so.0 => /lib/x86_64-linux-gnu/libwayland-client.so.0 (0x00007f9149907000)
    libepoxy.so.0 => /lib/x86_64-linux-gnu/libepoxy.so.0 (0x00007f91497d3000)
    libharfbuzz.so.0 => /lib/x86_64-linux-gnu/libharfbuzz.so.0 (0x00007f91496d8000)
    libpangoft2-1.0.so.0 => /lib/x86_64-linux-gnu/libpangoft2-1.0.so.0 (0x00007f91496bf000)
    libfontconfig.so.1 => /lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007f9149679000)
    libfreetype.so.6 => /lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007f91495bd000)
    libXinerama.so.1 => /lib/x86_64-linux-gnu/libXinerama.so.1 (0x00007f91495b6000)
    libXrandr.so.2 => /lib/x86_64-linux-gnu/libXrandr.so.2 (0x00007f91493ab000)
    libXcursor.so.1 => /lib/x86_64-linux-gnu/libXcursor.so.1 (0x00007f914939e000)
    libXext.so.6 => /lib/x86_64-linux-gnu/libXext.so.6 (0x00007f914918c000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f9149182000)
    libthai.so.0 => /lib/x86_64-linux-gnu/libthai.so.0 (0x00007f9149177000)
    libpixman-1.so.0 => /lib/x86_64-linux-gnu/libpixman-1.so.0 (0x00007f91490cf000)
    libpng16.so.16 => /lib/x86_64-linux-gnu/libpng16.so.16 (0x00007f9149096000)
    libxcb-shm.so.0 => /lib/x86_64-linux-gnu/libxcb-shm.so.0 (0x00007f9149091000)
    libxcb.so.1 => /lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f9149067000)
    libxcb-render.so.0 => /lib/x86_64-linux-gnu/libxcb-render.so.0 (0x00007f9149058000)
    libXrender.so.1 => /lib/x86_64-linux-gnu/libXrender.so.1 (0x00007f9148e4e000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f9148c2e000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f9148c29000)
    libmount.so.1 => /lib/x86_64-linux-gnu/libmount.so.1 (0x00007f9148bca000)
    libselinux.so.1 => /lib/x86_64-linux-gnu/libselinux.so.1 (0x00007f91489a2000)
    libresolv.so.2 => /lib/x86_64-linux-gnu/libresolv.so.2 (0x00007f9148988000)
    libffi.so.6 => /lib/x86_64-linux-gnu/libffi.so.6 (0x00007f914897c000)
    libpcre.so.3 => /lib/x86_64-linux-gnu/libpcre.so.3 (0x00007f9148908000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f914ba15000)
    libdbus-1.so.3 => /lib/x86_64-linux-gnu/libdbus-1.so.3 (0x00007f91488b5000)
    libatspi.so.0 => /lib/x86_64-linux-gnu/libatspi.so.0 (0x00007f9148881000)
    libgraphite2.so.3 => /lib/x86_64-linux-gnu/libgraphite2.so.3 (0x00007f9148854000)
    libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f9148815000)
    libuuid.so.1 => /lib/x86_64-linux-gnu/libuuid.so.1 (0x00007f914880c000)
    libdatrie.so.1 => /lib/x86_64-linux-gnu/libdatrie.so.1 (0x00007f9148802000)
    libXau.so.6 => /lib/x86_64-linux-gnu/libXau.so.6 (0x00007f91485fe000)
    libXdmcp.so.6 => /lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f91483f8000)
    libblkid.so.1 => /lib/x86_64-linux-gnu/libblkid.so.1 (0x00007f91483a1000)
    libsystemd.so.0 => /lib/x86_64-linux-gnu/libsystemd.so.0 (0x00007f9148300000)
    libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007f91482e6000)
    liblzma.so.5 => /lib/x86_64-linux-gnu/liblzma.so.5 (0x00007f91482be000)
    liblz4.so.1 => /lib/x86_64-linux-gnu/liblz4.so.1 (0x00007f914829f000)
    libgcrypt.so.20 => /lib/x86_64-linux-gnu/libgcrypt.so.20 (0x00007f914817f000)
    libgpg-error.so.0 => /lib/x86_64-linux-gnu/libgpg-error.so.0 (0x00007f914815c000)
 
Последнее редактирование:

acp1dmn

New member
Сообщения
3
#4
Спасибо за ответ! Потестирую потом на другом компе как время будет, поищу.
Пока пошел другим путем - установил чистую Астру, "без всего", подключил репозитории свежего Дебиана и установил окружение Мате. В нем запустилось все нормально без ошибок.
 

Montfer

New member
Сообщения
983
#5

acp1dmn

New member
Сообщения
3
#7
Так и должно быть. И это только подтверждает картину, которую я описал выше.
просто если как бы заявлена полная поддержка продукта системой, а по дефолту там Fly...
ладно Орел - а вот со Смоленском уже так, имхо, не прокатит)
 

ViGr

New member
Сообщения
5
#8
Так что в итоге?
Тоже на "Орёл" 1С поставил, но не запускается создание информационных баз, хотя Mate установил.

Добавление.
Запустил, но именно в сеансе Mate. Как они на fly пишут, что работает, не понимаю.
 

ViGr

New member
Сообщения
5
#10
Это не решение.
База данных не имеет отношения к нехватке в системе графических библиотек для 1С.
Есть сомнение, что вообще что то тестировалось на совместимость с AstraLinux.
В Ubuntu и Debian все сразу работает "из коробки"
 

peb

New member
Сообщения
36
#11
У меня проблема решилась так:
Свойство-Эффекты-"Для окон". Снимите все флажки.
После, 1С работает без проблем. Версия платформы 8.3.16.1224.
 

Вложения

Последнее редактирование:

peb

New member
Сообщения
36
#12
И еще забыл. Зайти в "Домашний/.1cv8/1C/1cv8" и удалить все "кривые" директории.
 

Вложения

EngelS

New member
Сообщения
6
#13
Присоединяюсь к проблеме. 1С не запускается в АстраЛине "Орёл" (последней версии на вчерашний день) под окружением Fly. Ни версия 1С 8.3.16.1148, ни 8.3.16.1224.
Если установить Cinnamon из репозитория дебиана, то только в сеансе циннамона возможна работа окон 1С.
Официальные подтверждения оказываются фейком.
Фокус с галочками от товарища peb не помог.
 
Сообщения
20
#14
Подтверждаю, 1С не запускается на Астре Орёл под окружением флу. Фокус с галочками от товарища peb также не помог.
 

peb

New member
Сообщения
36
#15
Добрый день. Сегодня, обновил Астру и установил последнюю версию платформы 1С:Предприятие и отдал на тест. День отработали. Говорят, пока все работает. Отпишитесь, у кого как прошел процесс.
 

Вложения

ViGr

New member
Сообщения
5
#16
Добрый день. Сегодня, обновил Астру и установил последнюю версию платформы 1С:Предприятие и отдал на тест. День отработали. Говорят, пока все работает. Отпишитесь, у кого как прошел процесс.
Обновился. Не запускается 1С. Система "чистая", дополнительно после инсталляции ничего не ставилось, только обновлялось.
1С продолжает не запускаться.
 

peb

New member
Сообщения
36
#17
Обновился. Не запускается 1С. Система "чистая", дополнительно после инсталляции ничего не ставилось, только обновлялось.
1С продолжает не запускаться.
А попробуйте установить платформу 8.3.14.1694. Отпишитесь только пожалуйста.
 
Сообщения
20
#18
А попробуйте установить платформу 8.3.14.1694. Отпишитесь только пожалуйста.
Я установил платформу 1С:Предприятие 8.3, учебная версия (8.3.17.1386). Окна стали открываться резво, есть изменения. Только не работает отладка по точкам останова, то есть ставишь точку останова, запускаешь на выполнение и программа зависает, что-то считает, из конфигурации можно отключить отладку. Может, что-то у меня не правильно настроено.
 

ViGr

New member
Сообщения
5
#19
Под рукой была 8.3.13.1644. Она запустилась! Это радует!
Дальше, пока тестировать не стал, другие заботы.
Потом загружу данными и отпишусь результат.
 

Semetskiy

New member
Сообщения
7
#20
На данный момент, уже около полугода стабильно работает 8.3.14.1854. Для установки необходимы (помимо пакетов самой 1с) libjavascriptcoregtk, libegl-mesa и libwebkitgtk.